import * as $dara from '@darabonba/typescript';
import { DescribeSecurityGroupAttributeResponseBody } from "./DescribeSecurityGroupAttributeResponseBody";
export declare class DescribeSecurityGroupAttributeResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: DescribeSecurityGroupAttributeResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
